Get Event Forecast Percentile History
curl --request GET \
--url https://external-api.kalshi.com/trade-api/v2/series/{series_ticker}/events/{ticker}/forecast_percentile_history \
--header 'KALSHI-ACCESS-KEY: <api-key>' \
--header 'KALSHI-ACCESS-SIGNATURE: <api-key>' \
--header 'KALSHI-ACCESS-TIMESTAMP: <api-key>'import requests
url = "https://external-api.kalshi.com/trade-api/v2/series/{series_ticker}/events/{ticker}/forecast_percentile_history"
headers = {
"KALSHI-ACCESS-KEY": "<api-key>",
"KALSHI-ACCESS-SIGNATURE": "<api-key>",
"KALSHI-ACCESS-TIMESTAMP": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'KALSHI-ACCESS-KEY': '<api-key>',
'KALSHI-ACCESS-SIGNATURE': '<api-key>',
'KALSHI-ACCESS-TIMESTAMP': '<api-key>'
}
};
fetch('https://external-api.kalshi.com/trade-api/v2/series/{series_ticker}/events/{ticker}/forecast_percentile_history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"forecast_history": [
{
"event_ticker": "<string>",
"end_period_ts": 123,
"period_interval": 123,
"percentile_points": [
{
"percentile": 123,
"raw_numerical_forecast": 123,
"numerical_forecast": 123,
"formatted_forecast": "<string>"
}
]
}
]
}events
Get Event Forecast Percentile History
Endpoint for getting the historical raw and formatted forecast numbers for an event at specific percentiles.
GET
/
series
/
{series_ticker}
/
events
/
{ticker}
/
forecast_percentile_history
Get Event Forecast Percentile History
Authorizations
Your API key ID
RSA-PSS signature of the request
Request timestamp in milliseconds
Query Parameters
Array of percentile values to retrieve (0-9999, max 10 values)
Maximum array length:
10Required range:
0 <= x <= 9999Start timestamp for the range
End timestamp for the range
Specifies the length of each forecast period, in minutes. 0 for 5-second intervals, or 1, 60, or 1440 for minute-based intervals.
Available options:
0, 1, 60, 1440 Response
Event forecast percentile history retrieved successfully
Array of forecast percentile data points over time.
Show child attributes
Show child attributes